consoleText

download

20 Started by upstream project "cubicweb-3.23" build number 65
originally caused by:
Started by an SCM change
Building in workspace /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
[py34-web] $ hg showconfig paths.default
[py34-web] $ hg pull
pulling from http://hg.logilab.org/review/cubicweb
searching for changes
no changes found
14 new obsolescence markers
[py34-web] $ hg update --clean --rev 5213dfe9cddb7cf967d58b4b21774f946c9b24c2
4 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py34-web] $ hg --config extensions.purge= clean --all
[py34-web] $ hg log --rev . --template {node}
[py34-web] $ hg log --rev . --template {rev}
[py34-web] $ hg id --branch
[py34-web] $ /bin/bash -xe /tmp/hudson2674212637771884342.sh
+ find . '(' -name 'pgdb*' -o -name 'tmpdb*' ')' -print0
+ xargs -0 rm -rf
[py34-web] $ /bin/bash -xe /tmp/hudson6561178966248595059.sh
+ PATH=/usr/lib/postgresql/9.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ tox --recreate
py34-web create: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web
py34-web installdeps: -e., -r/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/requirements.txt
py34-web develop-inst: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
py34-web installed: You are using pip version 7.1.2, however version 8.1.0 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.4.1,chardet==2.3.0,colorama==0.3.2,-e hg+http://hg.logilab.org/review/cubicweb@5213dfe9cddb7cf967d58b4b21774f946c9b24c2#egg=cubicweb-dev,cubicweb-blog==1.12.0,cubicweb-file==1.18.0,cubicweb-tag==1.8.3,cwclientlib==0.4.1,html2text==2016.1.8,html5lib==0.999,linecache2==1.0.0,logilab-common==1.2.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.5.0,Markdown==2.6.5,passlib==1.6.5,Pillow==3.1.1,psycopg2==2.5.4,py==1.4.25,pyasn1==0.1.7,python-apt==0.9.3.12,python-dateutil==2.5.0,python3-ldap==0.9.4.2,pytz==2016.1,requests==2.4.3,rql==0.34.0,six==1.8.0,tox==1.9.2,traceback2==1.4.0,Twisted==16.0.0,unattended-upgrades==0.1,unittest2==1.1.0,urllib3==1.9.1,virtualenv==1.11.6,waitress==0.8.10,WebOb==1.5.1,WebTest==2.0.20,wheel==0.24.0,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0,zope.interface==4.1.3
py34-web runtests: PYTHONHASHSEED='3319305384'
py34-web runtests: commands[0] | touch /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/share/cubicweb/cubes/__init__.py
py34-web runtests: commands[1] | /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test
===================== unittest_application.py ======================
2016-03-15 12:04:51 - (cubicweb.appobject) WARNING: can't find any workflow for CWUser
2016-03-15 12:05:03 - (cubicweb.web) WARNING: [3.17] massmailing extracted to cube massmailing that was not found. try installing it.
2016-03-15 12:05:03 - (cubicweb.web) WARNING: [3.17] igeocoding extracted to cube geocoding that was not found. try installing it.
2016-03-15 12:05:03 - (cubicweb.web) WARNING: [3.17] embedding extracted to cube embed that was not found. try installing it.
2016-03-15 12:05:03 - (cubicweb.web) WARNING: [3.17] isioc extracted to cube sioc that was not found. try installing it.
2016-03-15 12:05:05 - (cubicweb.web) ERROR: Exception('whatever',)
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 163, in call
view.render(w=w)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 510, in call
raise Exception('whatever')
Exception: whatever
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon61978584316b4983b9fc57ac84bc3b45 Open session found while turning repository off
%sessionid, RuntimeWarning)
./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonaeb4a0788ad3478191c44979d8641e1d Open session found while turning repository off
%sessionid, RuntimeWarning)
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype parent: ['Directory', 'Filesystem']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
.....E.2016-03-15 12:05:17 - (cubicweb.web) WARNING: the view toto could not be found
................
======================================================================
ERROR: test_login_by_email (unittest_application.ApplicationTC)
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 597, in test_login_by_email
self.assertAuthSuccess(req, origsession)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 897, in assertAuthSuccess
session = self.app.get_session(req)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 200, in get_session
return self.session_handler.get_session(req)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 126, in get_session
session = self.open_session(req)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 135, in open_session
session = self.session_manager.open_session(req)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/sessions.py", line 142, in open_session
session, login = self.authmanager.authenticate(req)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/authentication.py", line 170, in authenticate
raise AuthenticationError()
cubicweb._exceptions.AuthenticationError

no stdout
no stderr
===================== unittest_http_headers.py =====================
.
====================== unittest_formfields.py ======================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype owned_by: ['BlogEntry', 'CWConstraintType', 'CWSourceHostConfig', 'Version', 'Filesystem', 'Folder', 'CWRelation', 'Blog', 'CWGroup', 'State', 'CWComputedRType', 'SubWorkflowExitPoint', 'Transition', 'TrInfo', 'MicroBlog', 'CWEType', 'EmailAddress', 'Tag', 'Bookmark', 'Salesterm', 'UserAccount', 'RQLExpression', 'Project', 'CWCache', 'TreeNode', 'CWSource', 'Personne', 'File', 'DirectoryPermission', 'ExternalUri', 'WorkflowTransition', 'Workflow', 'Ticket', 'BaseTransition', 'CWAttribute', 'CWRType', 'Societe', 'CWSourceSchemaConfig', 'MicroBlogEntry', 'CWProperty', 'CWUniqueTogetherConstraint', 'CWUser', 'Directory', 'CWConstraint', 'CWDataImport']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
......
======================== unittest_facet.py =========================
....................
======================= unittest_reledit.py ========================
.S2016-03-15 12:05:23 - (cubicweb.rtags) WARNING: using explict subject type in <property object at 0x7f09ff3b1818>.tag_object_of() has no effect, use ("*", concerns, Project) instead of (Ticket, concerns, Project)
.
======================================================================
SKIPPED: test_default_forms (unittest_reledit.ClickAndEditFormTC)
Need to check if this test should still run post reledit/doreledit merge
================= unittest_views_apacherewrite.py ==================
.
================= unittest_views_basetemplates.py ==================
..
=============== unittest_views_staticcontrollers.py ================
.2016-03-15 12:05:25 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
.2016-03-15 12:05:25 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
....
==================== unittest_views_actions.py =====================
..
=================== unittest_views_cwsources.py ====================
.
====================== unittest_views_json.py ======================
.../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonb2a7b6ce72f8464bb78024300ddb5eaa Open session found while turning repository off
%sessionid, RuntimeWarning)
.2016-03-15 12:05:31 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anone137e268b3fd41e2966c3bfce34ca0ff Open session found while turning repository off
%sessionid, RuntimeWarning)
.....2016-03-15 12:05:33 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
.
========================= unittest_web.py ==========================
..127.0.0.1 - - [15/Mar/2016 12:05:35] "POST /ajax?fname=fileupload HTTP/1.1" 200 135
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon49ba1c8bba25463ba24b6c443f0b8e68 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:37] "POST /ajax?fname=fileupload HTTP/1.1" 200 82
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anona3a1ad74306a4f57a43e312c9361dde9 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:38] "GET / HTTP/1.1" 200 7786
127.0.0.1 - - [15/Mar/2016 12:05:39] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon6e94e654cb1246038317c37d97eca54b Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon382f469081634a62848a3f71b59684cd Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:40] "GET //6 HTTP/1.1" 403 5581
127.0.0.1 - - [15/Mar/2016 12:05:42] "GET /login?__login=admin&__password=gingkow HTTP/1.1" 303 0
127.0.0.1 - - [15/Mar/2016 12:05:42] "GET //6 HTTP/1.1" 200 11845
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon79043c069e594a99b1497f46f3d908da Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: adminbdcd10abb73f424f9285d30d0a15b086 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:43] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon1e50f0096e704267bb8eaa5be9691bf0 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:44] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonc35b1844adea4174ab83888536f6d116 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 12:05:46] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon6725dcf15a9e479ebfead8fec4790e41 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
===================== unittest_magicsearch.py ======================
..................
========================= test_jscript.py ==========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon99c7abd1fb0241d39a886e373f5f5c2f Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anond40e0c0409ed488b8aa139f9f8da20dc Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon9a5a131485b0443197024ce5a2742117 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
=================== unittest_views_editforms.py ====================
..................
===================== unittest_viewselector.py =====================
.......................
==================== unittest_views_treeview.py ====================
.
====================== unittest_views_csv.py =======================
..
=================== unittest_views_errorform.py ====================
....
===================== unittest_views_forms.py ======================
...
========================= unittest_form.py =========================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype tags: ['BlogEntry', 'CWUser', 'Tag']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...........
=================== unittest_views_navigation.py ===================
...........
===================== unittest_urlpublisher.py =====================
.............
==================== unittest_propertysheet.py =====================
.
====================== unittest_webconfig.py =======================
...
=================== unittest_views_baseviews.py ====================
.............
========================= unittest_http.py =========================
...........................
======================== unittest_uicfg.py =========================
.........
==================== unittest_views_pyviews.py =====================
..
===================== unittest_breadcrumbs.py ======================
.
======================= unittest_request.py ========================
....
====================== unittest_controller.py ======================
..
==================== unittest_idownloadable.py =====================
2016-03-15 12:06:45 - (cubicweb.web) ERROR: OSError()
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 120, in call
view.render()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/idownloadable.py", line 94, in call
self.w(adapter.download_data())
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_idownloadable.py", line 56, in download_data
raise IOError()
OSError
......
=============== unittest_views_searchrestriction.py ================
........
========================== test_views.py ===========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: adminf86978e34d374a6c83a3d55c31efbb68 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype allowed_transition: ['BaseTransition', 'Transition', 'WorkflowTransition']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype constrained_by: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
..2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:14 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1385 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680742484624>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:28 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
2016-03-15 12:07:29 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1331 ['modification_date', 'creation_date', 'cwuri', 'name'] at 139680726682928>
.....
===================== unittest_views_xmlrss.py =====================
.
====================== unittest_urlrewrite.py ======================
........
================ unittest_views_basecontrollers.py =================
................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype to_entity: ['CWRelation', 'CWAttribute']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype read_permission: ['CWGroup', 'RQLExpression']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
2016-03-15 12:08:01 - (cubicweb.session) WARNING: no schema for 7
2016-03-15 12:08:01 - (cubicweb.session) WARNING: no schema for 7
..2016-03-15 12:08:02 - (cubicweb.web) WARNING: param login-subject mis-formatted
........................................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon188b25e5dcd04f0fa647fa703b45c597 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
===================== unittest_formwidgets.py ======================
...
-> creating tables
-> inserting default user and default groups.
-> storing the schema in the database
-> database for instance data initialized.
Building autopopulate for database tmpdb
*******************************************************************************
Ran 363 test cases in 222.41s (213.15s CPU), 1 errors, 1 skipped
38 modules OK (1 failed)
failures: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application [1/28]
ERROR: InvocationError: '/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test'
___________________________________ summary ____________________________________
ERROR: py34-web: commands failed
Build step 'Execute shell' marked build as failure
Sending e-mails to: dlaxalde@logilab.fr jcr@logilab.fr syt@logilab.fr david@logilab.fr
[PostBuildScript] - Execution post build scripts.
[py34-web] $ /bin/bash -xe /tmp/hudson2504616892528834196.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb 5213dfe9cddb http://jenkins.logilab.fr/job/cubicweb-3.23/TOXENV=py34-web/65/ --status failure
<br/>

log from execution
download